#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-policykit
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	%{name} is the polkit authentification agent of LXQt.
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	lxqt-build-tools
BuildRequires	:	polkit-devel
BuildRequires	:	polkit-qt
#-----------------------------------------------------------------------------
%description
`%{name}` is a software framework to handle privileges of processes.   
In LXQt it is e. g. used to extend the privileges of the GUI tools of
lxqt-admin. These are launched by a regular user. But in order to
apply the settings they deal with root privileges are needed and
acquired via polkit.   
Among the various components of polkit the authentication agent is
the one to query the user for credentials by dialogue windows like
this one of %{name}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/%{name}-agent.desktop
%{_bindir}/%{name}-agent
%{_datadir}/lxqt/translations/%{name}*/%{name}*_*.qm
%{_mandir}/man1/%{name}*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
